MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026750Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2015-10-05 09:572016-04-20 15:49
Reporternbv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026750: Method IsNormal(...) for gp_Vec2d returns FALSE if the angle between two vectors is equal to -90 degree (-M_PI/2 radian)
DescriptionMethod IsNormal(...) for gp_Vec2d returns FALSE if the angle between two vectors is equal to -90 degree (-M_PI/2 radian).

See Steps to reproduce.
Steps To Reproducegp_Vec2d aVec1(1.0, 0.0);
gp_Vec2d aVec2(0.0, -1.0);

aVec1.IsNormal(aVec2, Precision::Angular());
//Returns FALSE


-------------------------
Test case for this issue has been created.
TagsNo tags attached.
Test case numberbugs modalg_6 bug26750
Attached Files

- Relationships
related to 0025605closedmsv Optimize methods of gp_* classes to avoid sqrt() function calling 

-  Notes
(0046440)
git (administrator)
2015-10-05 11:43

Branch CR26750 has been created by nbv.

SHA-1: 5b6138b59ee589853f9fcac874d9d90671275c8c


Detailed log of new commits:

Author: nbv
Date: Mon Oct 5 10:30:50 2015 +0300

    0026750: Method IsNormal(...) for gp_Vec2d returns FALSE if the angle between two vectors is equal to -90 degree (-M_PI/2 radian)
    
    The bug has been fixed.
    Test case for this issue has been created.
(0046441)
nbv (developer)
2015-10-05 11:44

Dear Mikhail,

Please review CR26750 branch.
(0046446)
msv (developer)
2015-10-05 13:03

Remarks:

src\gp\gp_Vec2d.hxx

1) Why did you changed description? Your modifications have no sense, as you say the same by other words. I propose to leave original description.

2) The word Standard_EXPORT is extra when the method is inline.

3) Why did you move the definition of inline method from .lxx file to .hxx? If to move then it is needed to move all methods and remove the file .lxx at all. But I suggest leaving definition of the method IsNormal in .lxx file.

src\gp\gp_Vec2d.lxx

4) The only change is needed in the line 78:

78: Ang = M_PI / 2.0 - Angle(Other);

to change it to

78: Ang = M_PI / 2.0 - Ang;

No need to rewrite the whole method.


src\gp\gp_Dir2d.hxx
src\gp\gp_Dir2d.lxx

5) No need to modify gp_Dir2d as it contains no error.
(0046447)
msv (developer)
2015-10-05 13:04

Dear Nikolay, please do as less modifications as possible to resolve a bug in the future.
(0046450)
git (administrator)
2015-10-05 13:18

Branch CR26750_1 has been created by nbv.

SHA-1: 0614965f15c4ee7a2572445f3698133df1cd07ef


Detailed log of new commits:

Author: nbv
Date: Mon Oct 5 10:30:50 2015 +0300

    0026750: Method IsNormal(...) for gp_Vec2d returns FALSE if the angle between two vectors is equal to -90 degree (-M_PI/2 radian)
    
    The bug has been fixed.
    Test case for this issue has been created.
(0046451)
nbv (developer)
2015-10-05 13:19

Dear Mikhail,

Please review CR26750_1 branch.
(0046462)
git (administrator)
2015-10-05 14:54

Branch CR26750_1 has been updated by nbv.

SHA-1: b76e5b6f75966eb3ada9f298e0fcb63c35f1016f


Detailed log of new commits:

Author: nbv
Date: Mon Oct 5 14:54:31 2015 +0300

    Correct alignment.

(0046463)
msv (developer)
2015-10-05 14:56

Reviewed.
(0046498)
apv (tester)
2015-10-06 12:48

Dear BugMaster,

Branch CR26750_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: b76e5b6f75966eb3ada9f298e0fcb63c35f1016f

Number of compiler warnings:
occt component:
   Linux: 13 (13 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 39 (39 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
bugs modalg_6 bug26750 - OK
http://occt-tests/CR26750-1-master-occt-64/Debian70-64/bugs/modalg_6/bug26750.html [^]
http://occt-tests/CR26750-1-master-occt-64/Windows-64-VC10/bugs/modalg_6/bug26750.html [^]

Testing on Linux:
Total MEMORY difference: 91891182 / 92324358 [-0.47%]
Total CPU difference: 19748.59999999947 / 19582.12999999974 [+0.85%]

Testing on Windows:
Total MEMORY difference: 58079091 / 58090988 [-0.02%]
Total CPU difference: 18082.387911998776 / 18228.91965129895 [-0.80%]
(0047104)
git (administrator)
2015-10-16 16:58

Branch CR26750 has been deleted by kgv.

SHA-1: 5b6138b59ee589853f9fcac874d9d90671275c8c
(0047105)
git (administrator)
2015-10-16 16:58

Branch CR26750_1 has been deleted by kgv.

SHA-1: b76e5b6f75966eb3ada9f298e0fcb63c35f1016f

- Related Changesets
occt: master d0fcf95a
Timestamp: 2015-10-08 07:14:30
Author: nbv
Committer: bugmaster
Details ] Diff ]
0026750: Method IsNormal(...) for gp_Vec2d returns FALSE if the angle between two vectors is equal to -90 degree (-M_PI/2 radian)

The bug has been fixed.
Test case for this issue has been created.

Correct alignment.
mod - src/gp/gp_Vec2d.hxx Diff ] File ]
mod - src/gp/gp_Vec2d.lxx Diff ] File ]
mod - src/QABugs/QABugs_19.cxx Diff ] File ]
add - tests/bugs/modalg_6/bug26750 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-10-05 09:57 nbv New Issue
2015-10-05 09:57 nbv Assigned To => nbv
2015-10-05 11:43 git Note Added: 0046440
2015-10-05 11:43 nbv Status new => assigned
2015-10-05 11:44 nbv Note Added: 0046441
2015-10-05 11:44 nbv Assigned To nbv => msv
2015-10-05 11:44 nbv Status assigned => resolved
2015-10-05 11:44 nbv Steps to Reproduce Updated View Revisions
2015-10-05 11:45 nbv Relationship added related to 0025605
2015-10-05 13:03 msv Note Added: 0046446
2015-10-05 13:03 msv Assigned To msv => nbv
2015-10-05 13:03 msv Status resolved => assigned
2015-10-05 13:04 msv Note Added: 0046447
2015-10-05 13:18 git Note Added: 0046450
2015-10-05 13:19 nbv Note Added: 0046451
2015-10-05 13:19 nbv Assigned To nbv => msv
2015-10-05 13:19 nbv Status assigned => resolved
2015-10-05 14:54 git Note Added: 0046462
2015-10-05 14:56 msv Note Added: 0046463
2015-10-05 14:56 msv Assigned To msv => bugmaster
2015-10-05 14:56 msv Status resolved => reviewed
2015-10-05 14:59 apv Assigned To bugmaster => apv
2015-10-06 12:48 apv Note Added: 0046498
2015-10-06 12:48 apv Assigned To apv => bugmaster
2015-10-06 12:48 apv Status reviewed => tested
2015-10-06 12:49 apv Test case number => bugs modalg_6 bug26750
2015-10-09 15:22 bugmaster Changeset attached => occt master d0fcf95a
2015-10-09 15:22 bugmaster Status tested => verified
2015-10-09 15:22 bugmaster Resolution open => fixed
2015-10-16 16:58 git Note Added: 0047104
2015-10-16 16:58 git Note Added: 0047105
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:49 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker